Bug 132001 - add dm-mirror and dm-snapshot if dm-mod is brought in
add dm-mirror and dm-snapshot if dm-mod is brought in
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 14:17 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: mkinitrd-4.1.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-09-07 14:17:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Since running pvmove or creating a snapshot in the volume group
holding the root filesystem may cause initrd's vgscan to fail if
dm-mirror and/or dm-snapshot are needed but not present, it would be
desirable for initrd to at least contain these modules.  vgscan should
probably be improved so as to attempt to load the modules on demand,
but currently it doesn't, so we might have to explicitly load them. 
Since that amounts to about 33KiB of memory, we might as well go ahead
and do it.  If someone is bothered, it's easy enough to rmmod them
afterwards.

Version-Release number of selected component (if applicable):
mkinitrd-4.1.9-1

How reproducible:
Always

Steps to Reproduce:
1.Have root on LVM
2.Create a snapshot in the same volume group and/or start pvmove
3.Reboot

Actual Results:  initrd will fail to bring up the volume group holding
the root filesystem because the needed modules are missing.

Expected Results:  It shouldn't fail to reboot.

Additional info:
Comment 1 Jeremy Katz 2004-09-07 14:44:15 EDT
agk -- comments?
Comment 2 Bill Rugolsky, Jr. 2004-09-23 11:30:06 EDT
Please consider this MUST FIX for FC3.  The workaround around is
simple, recovery from a non-startable system volume group is not.
Comment 4 Alasdair Kergon 2004-09-25 18:43:40 EDT
All the dm modules (incl. mirror, snapshot, zero) need to be available
when vgchange -ay gets run; currently the automatic loading code is
inactive (see an old bugzilla entry), so the modules all need to be
loaded before running vgchange -ay in case they are needed - this will
get addressed within LVM2.
Comment 5 Jeremy Katz 2004-09-27 14:01:40 EDT
This seems a bit broken (and even if you had automatic loading
present, then it wouldn't help as the modules wouldn't be there in the
initrd at present).  

But, since my chances of getting that to change are roughly zero, I'll
add those three to a list to be automatically pulled in.  Will be in
mkinitrd 4.1.14.  And working on the anaconda modifications too since
it'll be needed there as well.
Comment 6 Alexandre Oliva 2004-10-02 15:03:55 EDT
Confirmed fixed, thanks.

Note You need to log in before you can comment on or make changes to this bug.